Subject: bug#79026: 30.1; TAB in Minibuffer when using a quail input-method should complete the longest common suffix of candidates

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Jul 2025 15:07:14 +0300

severity 79026 wishlist
thanks

> From: Arash Esbati <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>, Cass Alexandru
>  <[email-masked]>, [email-masked]
> Date: Wed, 16 Jul 2025 09:53:51 +0200
> 
> Stefan Monnier <[email-masked]> writes:
> 
> >> It doesn't look like quail-completion (which is the command bound to
> >> TAB in that input method) is supposed to work as you expect.  Instead,
> >> it is a fancy visual feedback for typing long sequences, fancier than
> >> what Emacs usually shows in the echo-area (which is just the list of
> >> candidates for the next character).
> >>
> >> IOW, after pressing TAB, you are supposed to:
> >>
> >>   . realize that there's just one candidate "\above"
> >>   . type its characters one by one, guided by the moving highlight in
> >>     the *Quail Completions* buffer as you go
> >>
> >> Stefan and Arash, am I right?
> >
> > I sadly don't know any more than you do about it.
> 
> Same here, sorry.

Thanks.  I guess this makes this bug report a request for enhancement,
since no one has implemented TAB completion for input methods.